import React from 'react';
import {View} from 'react-native';
import {useTheme} from '@shared/theme';

import {styles} from './styles';

interface Props {
  children?: React.ReactNode;
}

function CommonHeader({children}: Props) {
  const {theme} = useTheme();

  return (
    <View
      style={[
        styles.container,
        {borderBottomColor: theme.border.neutral.default},
      ]}>
      {children}
    </View>
  );
}

export default CommonHeader;
